pkgsrc-Users archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]

Re: bulk builds for netbsd-5.1

On 10/12/2011 4:29 AM, Manuel Bouyer wrote:
Lack of hardware ressources. 5.0.2 packages runs on 5.1, but 5.1 packages
may not run on 5.0.2, so as we can't build both we build for 5.0.2.

Heck, cast-off servers from silicon valley are a-dime-a-dozen. I've got one right here... You guys can have it. Or, is it the hosting space that you don't have?

As there's no packages built for 5.1 I'm not sure there should be a 5.1
symlink at all.

I disagree. I think a user should be able to put $uname, $arch and $version into a URL and be able to find up-to-date packages. (or, better, make it automatic with pkgin) Now, if $version is only as specific as the major (5), then so be it, but that doesn't exist either. As for me, I think mini (5.0.2) is too specific, but minor (5.0) is a natural fit.


Home | Main Index | Thread Index | Old Index